Portfolio

List all investors

GET/portfolio/investors

Returns a paginated list of all investors in the system. Supports filtering by asset, investor IDs, and name search.

Query parameters

  • asset_idinteger#
  • investor_ids[]integer[]#
  • namestring | null#
  • per_pageinteger | null#

Responses

200

ResourceCollection

PortfolioResourceCollection
{
  "data": [
    null
  ]
}
422

Validation error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/investors\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"